<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
		<xsl:template match="/DocRoot">
			<Users>
				<xsl:for-each select="Entry">
					<User>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar4_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar6_Value" select="."/>
								<xsl:for-each select="$Vvar4_Attribute/@name">
									<xsl:variable name="Vvar8_name" select="."/>
									<xsl:variable name="Vvar9_CONST" select="'Login'"/>
									<xsl:variable name="Vvar10_RESULTOF_equal" select="$Vvar8_name = $Vvar9_CONST"/>
									<xsl:if test="string($Vvar10_RESULTOF_equal)='true'">
										<xsl:attribute name="Login">
											<xsl:value-of select="$Vvar6_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar11_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar13_Value" select="."/>
								<xsl:for-each select="$Vvar11_Attribute/@name">
									<xsl:variable name="Vvar15_name" select="."/>
									<xsl:variable name="Vvar16_CONST" select="'Password'"/>
									<xsl:variable name="Vvar17_RESULTOF_equal" select="$Vvar15_name = $Vvar16_CONST"/>
									<xsl:if test="string($Vvar17_RESULTOF_equal)='true'">
										<xsl:attribute name="Password">
											<xsl:value-of select="$Vvar13_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar18_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar20_Value" select="."/>
								<xsl:for-each select="$Vvar18_Attribute/@name">
									<xsl:variable name="Vvar22_name" select="."/>
									<xsl:variable name="Vvar23_CONST" select="'IsPasswordEncrypted'"/>
									<xsl:variable name="Vvar24_RESULTOF_equal" select="$Vvar22_name = $Vvar23_CONST"/>
									<xsl:if test="string($Vvar24_RESULTOF_equal)='true'">
										<xsl:attribute name="IsPasswordEncrypted">
											<xsl:value-of select="$Vvar20_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar25_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar27_Value" select="."/>
								<xsl:for-each select="$Vvar25_Attribute/@name">
									<xsl:variable name="Vvar29_name" select="."/>
									<xsl:variable name="Vvar30_CONST" select="'IsRestrictedToSubProfiles'"/>
									<xsl:variable name="Vvar31_RESULTOF_equal" select="$Vvar29_name = $Vvar30_CONST"/>
									<xsl:if test="string($Vvar31_RESULTOF_equal)='true'">
										<xsl:attribute name="IsRestrictedToSubProfiles">
											<xsl:value-of select="$Vvar27_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar32_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar34_Value" select="."/>
								<xsl:for-each select="$Vvar32_Attribute/@name">
									<xsl:variable name="Vvar36_name" select="."/>
									<xsl:variable name="Vvar37_CONST" select="'IsValid'"/>
									<xsl:variable name="Vvar38_RESULTOF_equal" select="$Vvar36_name = $Vvar37_CONST"/>
									<xsl:if test="string($Vvar38_RESULTOF_equal)='true'">
										<xsl:attribute name="IsValid">
											<xsl:value-of select="$Vvar34_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar39_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar41_Value" select="."/>
								<xsl:for-each select="$Vvar39_Attribute/@name">
									<xsl:variable name="Vvar43_name" select="."/>
									<xsl:variable name="Vvar44_CONST" select="'IsAnonymous'"/>
									<xsl:variable name="Vvar45_RESULTOF_equal" select="$Vvar43_name = $Vvar44_CONST"/>
									<xsl:if test="string($Vvar45_RESULTOF_equal)='true'">
										<xsl:attribute name="IsAnonymous">
											<xsl:value-of select="$Vvar41_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar46_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar48_Value" select="."/>
								<xsl:for-each select="$Vvar46_Attribute/@name">
									<xsl:variable name="Vvar50_name" select="."/>
									<xsl:variable name="Vvar51_CONST" select="'Role'"/>
									<xsl:variable name="Vvar52_RESULTOF_equal" select="$Vvar50_name = $Vvar51_CONST"/>
									<xsl:if test="string($Vvar52_RESULTOF_equal)='true'">
										<xsl:attribute name="Role">
											<xsl:value-of select="$Vvar48_Value"/>
										</xsl:attribute>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<ManagerReference>
							<xsl:for-each select="Attribute">
								<xsl:variable name="Vvar53_Attribute" select="."/>
								<xsl:for-each select="Value">
									<xsl:variable name="Vvar55_Value" select="."/>
									<xsl:for-each select="$Vvar53_Attribute/@name">
										<xsl:variable name="Vvar57_name" select="."/>
										<xsl:variable name="Vvar58_CONST" select="'ManagerReferenceLogin'"/>
										<xsl:variable name="Vvar59_RESULTOF_equal" select="$Vvar57_name = $Vvar58_CONST"/>
										<xsl:if test="string($Vvar59_RESULTOF_equal)='true'">
											<xsl:attribute name="Login">
												<xsl:value-of select="$Vvar55_Value"/>
											</xsl:attribute>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
						</ManagerReference>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar60_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar62_Value" select="."/>
								<xsl:for-each select="$Vvar60_Attribute/@name">
									<xsl:variable name="Vvar64_name" select="."/>
									<xsl:variable name="Vvar65_CONST" select="'Lastname'"/>
									<xsl:variable name="Vvar66_RESULTOF_equal" select="$Vvar64_name = $Vvar65_CONST"/>
									<xsl:if test="string($Vvar66_RESULTOF_equal)='true'">
										<Lastname>
											<xsl:value-of select="$Vvar62_Value"/>
										</Lastname>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar67_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar69_Value" select="."/>
								<xsl:for-each select="$Vvar67_Attribute/@name">
									<xsl:variable name="Vvar71_name" select="."/>
									<xsl:variable name="Vvar72_CONST" select="'Firstname'"/>
									<xsl:variable name="Vvar73_RESULTOF_equal" select="$Vvar71_name = $Vvar72_CONST"/>
									<xsl:if test="string($Vvar73_RESULTOF_equal)='true'">
										<Firstname>
											<xsl:value-of select="$Vvar69_Value"/>
										</Firstname>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
						<xsl:for-each select="Attribute">
							<xsl:variable name="Vvar74_Attribute" select="."/>
							<xsl:for-each select="Value">
								<xsl:variable name="Vvar76_Value" select="."/>
								<xsl:for-each select="$Vvar74_Attribute/@name">
									<xsl:variable name="Vvar78_name" select="."/>
									<xsl:variable name="Vvar79_CONST" select="'PhoneNumber'"/>
									<xsl:variable name="Vvar80_RESULTOF_equal" select="$Vvar78_name = $Vvar79_CONST"/>
									<xsl:if test="string($Vvar80_RESULTOF_equal)='true'">
										<PhoneNumber>
											<xsl:value-of select="$Vvar76_Value"/>
										</PhoneNumber>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
					</User>
				</xsl:for-each>
			</Users>
		</xsl:template>
	</xsl:stylesheet>